1991-2006
Silicon Graphics, Inc.
glXQueryContext
3G

# glXQueryContext

query context information

## C Specification

                    int glXQueryContext
                    Display * dpy
                    GLXContext ctx
                    int attribute
                    int * value

## Parameters

`dpy`

  Specifies the connection to the X server.

`ctx`

  Specifies a GLX rendering context.

`attribute`

  Specifies that a context parameter should be retrieved. Must be one of `GLX_FBCONFIG_ID`, `GLX_RENDER_TYPE`, or `GLX_SCREEN`.

`value`

  Contains the return value for `attribute`.

## Description

`glXQueryContext` sets `value` to the value of `attribute` with respect to `ctx`. `attribute` may be one of the following:

`GLX_FBCONFIG_ID`

  Returns the XID of the GLXFBConfig associated with `ctx`.

`GLX_RENDER_TYPE`

  Returns the rendering type supported by `ctx`.

`GLX_SCREEN`

  Returns the screen number associated with `ctx`.

`Success` is returned unless `attribute` is not a valid GLX context attribute, in which case `GLX_BAD_ATTRIBUTE` is returned.

This call may cause a round-trip to the server.

## Notes

`glXQueryContext` is available only if the GLX version is 1.3 or greater.

If the GLX version is 1.1 or 1.0, the GL version must be 1.0. If the GLX version is 1.2, then the GL version must be 1.1. If the GLX version is 1.3, then the GL version must be 1.2.

## Errors

`GLXBadContext` is generated if `ctx` does not refer to a valid context.

## See Also

glXCreateNewContext, glXGetCurrentContext, glXQueryVersion, glXQueryExtensionsString

## Copyright

Copyright 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.